Page MenuHomePhabricator

Get current data for Wikidata entity
Closed, ResolvedPublic

Description

Can be implemented via the wbgetentities API (e. g. mw.ForeignApi) or Special:EntityData (e. g. jQuery; fetch, possibly polyfilled; or axios). Special:EntityData has the advantage of a server-side cache. termbox example

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterbridge: Get current data for Wikidata entity
mediawiki/extensions/Wikibase : masterbridge: Add http-status-codes and @types/jquery npm modules

Event Timeline

Pablo-WMDE updated the task description. (Show Details)Jul 3 2019, 11:35 AM

There’s consensus that we want to use Special:EntityData, and we currently lean towards a solution that doesn’t require add a new external library/polyfill to the payload.

Michael claimed this task.Jul 8 2019, 1:25 PM
Michael moved this task from To do to Doing on the Wikidata-Bridge-Sprint-1 board.
Restricted Application added a project: User-Michael. · View Herald TranscriptJul 8 2019, 1:25 PM

Change 522069 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: Add http-status-codes and @types/jquery npm modules

https://gerrit.wikimedia.org/r/522069

Change 521499 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] bridge: Get current data for Wikidata entity

https://gerrit.wikimedia.org/r/521499

Change 522069 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Add http-status-codes and @types/jquery npm modules

https://gerrit.wikimedia.org/r/522069

Change 521499 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: Get current data for Wikidata entity

https://gerrit.wikimedia.org/r/521499

Pablo-WMDE closed this task as Resolved.Jul 17 2019, 8:51 AM